Downgrade System Nand

Discussion in '3DS - Flashcards & Custom Firmwares' started by mocano40, Feb 9, 2016.

  1. mocano40
    OP

    mocano40 Newbie

    Newcomer
    7
    0
    Oct 12, 2012
    Hato Mayor del Rey
    Hello, I need information, I have my 3DSxl with CFW RXTools, currently my Emunand is in FW RX-E 10.5.0-30U and my SystemNand is in Ver. 9.2.0-20U

    My CFW is direct, as soon as I turn on my 3DS it goes directly to the EmuNand unless I press the button L in that case it goes to the SystemNand.

    Now what I wanted to know is the following: I have a DS flashcart that used to work on FW v4 and maybe on v5 I don't remember exactly on which FW it stopped working.

    Is it possible to downgrade the SystemNand to maybe v4 or v5 and still use the Emunand on its more advanced FW?
     
  2. perrochiba

    perrochiba Newbie

    Newcomer
    7
    2
    Jan 25, 2015
    United States
    You dont need to downgrade, there is a patch to get working old ds flashcards, search the thread
     
  3. Just3DS

    Just3DS GBAtemp Fan

    Member
    440
    109
    Jan 31, 2015
    First make a sysNAND backup to your PC
    You can simply install bluecardfix.cia from one of the recent GW pack, it should have a folder labelled "MSET4.5 installers for New 3DS REGION SPECIFIC" with three different region folders in it.
    You ONLY have to install the bluecardfix.cia using one of the CIA installers on sysNAND (for that you can use Pasta CFW or miniPasta CFW to boot into sysNAND with sigs patched), do NOT install MSET CIA.
    This way you don't need to downgrade your firmware at all, and will unblock almost all DS flashcarts that originally worked on 3DS before. You only have to use Pasta CFW once ie. during CIA installation.

    EDIT: Alternative to CIA installation from sysNAND is by using FBI installer either from sysNAND or emuNAND, and switch the install location to NAND and then install the CIA (not tested to work by me, so wait for someone else to confirm)
     
    Last edited by Just3DS, Feb 9, 2016
  4. mocano40
    OP

    mocano40 Newbie

    Newcomer
    7
    0
    Oct 12, 2012
    Hato Mayor del Rey
    Thank you for the info, Is good to know that I don't have to downgrade.

    I've been looking for the bluecardfix.cia but I don't see it anywhere, can anyone point me in the direction.

    And also do I install it with the FBI or the Big Blue? and if so do I install it on SD or NAND?
     
  5. Lacius

    Lacius GBAtemp Guru

    Member
    5,629
    2,116
    May 11, 2008
    United States
    Go to the Gateway website and download the 3.7.1 firmware. The bluecardfix.cia will be in there. As for installing it, I could only get it to work with DevMenu. It might work with BBM though. I could never get it to work with FBI.
     
  6. mocano40
    OP

    mocano40 Newbie

    Newcomer
    7
    0
    Oct 12, 2012
    Hato Mayor del Rey
    Ok, I found it and installed it but still the 3DS won't let me run de Flashcart, I have a R4i v4.5
     
  7. Lacius

    Lacius GBAtemp Guru

    Member
    5,629
    2,116
    May 11, 2008
    United States
    Are you running the flashcart from sysNAND or emuNAND? You'll only be able to run it from wherever you installed bluecardfix.cia. If the flashcart never worked on the 3DS, bluecardfix might not work.
     
  8. mocano40
    OP

    mocano40 Newbie

    Newcomer
    7
    0
    Oct 12, 2012
    Hato Mayor del Rey
    The Flashcart use to work like 2 years ago on my 3DS, I installed it on the Emunand and I've tried to run the Flashcart from emunand and sysnand with the same results.

    I'm the process of downgrading the sysnand through the Gateway method with the 3ds.reboot.ms, there is an option at the end that says downgrade, I just want to know if its safe for the Emunand?
     
    Last edited by mocano40, Feb 10, 2016
  9. Lacius

    Lacius GBAtemp Guru

    Member
    5,629
    2,116
    May 11, 2008
    United States
    If you downgrade your sysNAND, you will not be able to boot straight into emuNAND when you turn on your 3DS; you will lose menuhax. You might also have issues with some savegames used with 9.2 working with an older sysNAND, even if your emuNAND is up to date.

    Make sure you successfully install bluecardfix.cia to your sysNAND using DevMenu. If your DS flashcart doesn't work with sysNAND after this, then a downgrade is unlikely to help you.
     
  10. mocano40
    OP

    mocano40 Newbie

    Newcomer
    7
    0
    Oct 12, 2012
    Hato Mayor del Rey
    Thank you Lacius, I will read more about the matter before making any decision.
     
  11. driverdis

    driverdis I am Justice

    Member
    2,345
    886
    Sep 21, 2011
    United States
    1.048596β
    It was probably patched by the TWL firm 4.5 introduced. You need to downgrade TWL firm to get it to work again.
    Downgrading TWL firm allowed me to use my AK2i again as a backup cart in case I lose,break, or am not in reach of my DSTWO.
     
    Last edited by driverdis, Feb 10, 2016
  12. mocano40
    OP

    mocano40 Newbie

    Newcomer
    7
    0
    Oct 12, 2012
    Hato Mayor del Rey
    How do I do that?
     
  13. andzalot55

    andzalot55 I'm very delicious. mmmm.

    Member
    738
    207
    Nov 14, 2014
    Canada
    Mc Donalds.
    I am also interested in doing this but my main questions are:
    1) When using a DS flashcard on a cfw, do I normally go through sysNAND or emuNAND to use it on?
    2) Does this in anyway affect menuhax?